Bug 1262939 - [RFE] Creating custom MIB's using Perl requires the latest version of net-SNMP [NEEDINFO]
[RFE] Creating custom MIB's using Perl requires the latest version of net-SNMP
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: net-snmp (Show other bugs)
7.3
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Josef Ridky
BaseOS QE Security Team
: FutureFeature
Depends On:
Blocks: 1420851 1380364
  Show dependency treegraph
 
Reported: 2015-09-14 12:44 EDT by Sameer Jadhav
Modified: 2017-09-27 23:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsafrane: needinfo? (sajadhav)


Attachments (Terms of Use)

  None (edit)
Description Sameer Jadhav 2015-09-14 12:44:21 EDT
[RFE] Creating custom MIB's using Perl requires the latest version of net-SNMP


    1. Proposed title of this feature request  
=> Upgrade upstream version net-SNMP to 5.7.3         

      
    2. Who is the customer behind the request?  
    Account: name and acct # <- please include both  
      
    TAM customer: no/yes - no
    SRM customer: no/yes - no
    Strategic: no/yes - no
      
    3. What is the nature and description of the request?  
=> Upgrade net-SNMP to the latest community release. 

    4. Why does the customer need this? (List the business requirements here)  
=> net-SNMP is used to perform network monitoring. The current version in RHEL6 is out of date and should be updated to 5.7.3 This will correct a number of known issues Please see http://www.net-snmp.org/about/ChangeLog.html for a complete list of changes in the newest release.     
      
    5. How would the customer like to achieve this? (List the functional requirements here)  
=> Release a new RPM for net-SNMP 5.7.3 in the RHEL6 repository.    
      
    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
=> After install of the latest version a "snmpd -v" returns 6.7.3    
      
    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
=> Yes - http://www.net-snmp.org/about/ChangeLog.html 
      
    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
=> RHEL 6.x    
      
    9. Is the sales team involved in this request and do they have any additional input?  
=> No

    10. List any affected packages or components.  
=> net-snmp.x86_64    

      
    11. Would the customer be able to assist in testing this functionality if implemented?  
=> No
Comment 2 Jan Safranek 2015-09-21 09:01:07 EDT
I am strongly against rebasing net-snmp in 6.x, it's pretty late in the distro lifetime and I am really afraid of regressions. There are many between RHEL 6.x and 7.x.

What exactly is the feature that the customer needs from 5.7.3? Maybe I could backport just this one piece of code.

Note You need to log in before you can comment on or make changes to this bug.